To get newly ordered cards data from Corpay system, register for webhook using Customer Account Number and Order reference (Which was part of response of card order API). Please note, the registration needs to be done immediately after card order. If registration process has failed and consumer has missed the response, then same data can be obtained using /cards/search API. for each card order the registration needs to be done separately. if hmac_enabled is set true then hmac_secret is needed. max_retries value by default it set to 1. Upon successful card order, the newly created cards will be published to target url as array of card object. The cards created will not be activated immediately, the card will be activated once the physical card has been created and sent to card delivery address, which takes upto 2 days. The webhook would respond with created card data once the cards are activated in Corpay System, Which would take upto 24 - 36 hrs. To get the real time status of the card, register for card status updates using Card Identifier received from this webhook.
Documentation Index
Fetch the complete documentation index at: https://api.corpay.com/llms.txt
Use this file to discover all available pages before exploring further.
Use OAuth2 client credentials to obtain a bearer token.
UAT token endpoint:
POST https://apigwuat.corpay.com/keycloak/realms/longship/protocol/openid-connect/token
Example:
curl --location 'https://apigwuat.corpay.com/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'